## libmpeg3 1.8.dfsg

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,9 @@
 A52DIR := $(shell expr a52dec* )
 
 
+ifeq ("$(DST)", "")
+DST=/usr/bin
+endif
 
 ifeq ($(origin CFLAGS), environment)
 HAVE_CFLAGS := y
@@ -64,7 +67,9 @@
 	-I$(A52DIR)/include \
 	-I$(A52DIR)/liba52
 
-#CFLAGS += -g
+
+
+CFLAGS += -g
 
 
 
@@ -85,14 +90,16 @@
 	$(OBJDIR)/audio/pcm.o \
 	$(OBJDIR)/audio/synthesizers.o \
 	$(OBJDIR)/audio/tables.o \
-	$(OBJDIR)/bitstream.o \
 	$(OBJDIR)/libmpeg3.o \
 	$(OBJDIR)/mpeg3atrack.o \
+	$(OBJDIR)/mpeg3bits.o \
 	$(OBJDIR)/mpeg3css.o \
 	$(OBJDIR)/mpeg3demux.o \
 	$(OBJDIR)/mpeg3ifo.o \
 	$(OBJDIR)/mpeg3io.o \
+	$(OBJDIR)/mpeg3strack.o \
 	$(OBJDIR)/mpeg3title.o \
+	$(OBJDIR)/mpeg3tocutil.o \
 	$(OBJDIR)/mpeg3vtrack.o \
 	$(OBJDIR)/video/getpicture.o \
 	$(OBJDIR)/video/headers.o \
@@ -100,11 +107,13 @@
 	$(OBJDIR)/video/macroblocks.o \
 	$(OBJDIR)/video/mmxtest.o \
 	$(OBJDIR)/video/motion.o \
+	$(OBJDIR)/video/mpeg3cache.o \
 	$(OBJDIR)/video/mpeg3video.o \
 	$(OBJDIR)/video/output.o \
 	$(OBJDIR)/video/reconstruct.o \
 	$(OBJDIR)/video/seek.o \
 	$(OBJDIR)/video/slice.o \
+	$(OBJDIR)/video/subtitle.o \
 	$(OBJDIR)/video/vlc.o \
 	$(OBJDIR)/workarounds.o
 
@@ -133,14 +142,14 @@
 
 
 OUTPUT = $(OBJDIR)/libmpeg3.a
-UTILS = $(OBJDIR)/mpeg3dump $(OBJDIR)/mpeg3toc  $(OBJDIR)/mpeg3cat
+UTILS = $(OBJDIR)/mpeg3dump $(OBJDIR)/mpeg3peek $(OBJDIR)/mpeg3toc  $(OBJDIR)/mpeg3cat
 
 #$(OBJDIR)/mpeg3split
 
 
 LIBS = -lm -lpthread
 
-$(shell if ! test -d $(OBJDIR) \; then mkdir -p $(OBJDIR) \; fi )
+$(shell mkdir -p $(OBJDIR) )
 
 $(shell echo $(CFLAGS) > $(OBJDIR)/c_flags)
 $(shell echo $(A52CFLAGS) > $(OBJDIR)/a52_flags)
@@ -157,6 +166,9 @@
 
 $(OBJDIR)/mpeg3dump: $(OUTPUT) mpeg3dump.c
 	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg3dump mpeg3dump.c $(OUTPUT) $(LIBS)
+
+$(OBJDIR)/mpeg3peek: $(OUTPUT) mpeg3peek.c
+	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg3peek mpeg3peek.c $(OUTPUT) $(LIBS)
 
 $(OBJDIR)/mpeg3toc: $(OUTPUT) mpeg3toc.c
 	$(CC) `cat $(OBJDIR)/c_flags` -o $(OBJDIR)/mpeg3toc mpeg3toc.c $(OUTPUT) $(LIBS)
@@ -179,7 +191,7 @@
 		-ldl
 
 install: 
-	cp $(UTILS) /usr/bin
+	cp $(UTILS) $(DST)
 
 clean:
 	rm -rf $(OBJDIR)
@@ -200,18 +212,19 @@
 $(A52OBJS):
 	$(CC) -c `cat $(OBJDIR)/a52_flags` $(subst $(OBJDIR)/,, $*.c) -o $*.o
 
-$(OBJDIR)/bitstream.o:  			    bitstream.c
-$(OBJDIR)/mpeg3dump.o: 				    mpeg3dump.c
 $(OBJDIR)/libmpeg3.o: 				    libmpeg3.c
 $(OBJDIR)/mpeg3atrack.o: 			    mpeg3atrack.c
+$(OBJDIR)/mpeg3bits.o:  			    mpeg3bits.c
 $(OBJDIR)/mpeg3css.o: 				    mpeg3css.c
 $(OBJDIR)/mpeg3demux.o: 			    mpeg3demux.c
+$(OBJDIR)/mpeg3dump.o: 				    mpeg3dump.c
 $(OBJDIR)/mpeg3ifo.o: 				    mpeg3ifo.c
 $(OBJDIR)/mpeg3io.o: 				    mpeg3io.c
-#$(OBJDIR)/mpeg3split.o: 			    mpeg3split.c
+$(OBJDIR)/mpeg3strack.o:                            mpeg3strack.c
 $(OBJDIR)/mpeg3title.o: 			    mpeg3title.c
+$(OBJDIR)/mpeg3toc3.o:  			    mpeg3toc3.c
 $(OBJDIR)/mpeg3toc.o: 				    mpeg3toc.c
-$(OBJDIR)/mpeg3toc3.o:  			    mpeg3toc3.c
+$(OBJDIR)/mpeg3tocutil.o:                           mpeg3tocutil.c
 $(OBJDIR)/mpeg3vtrack.o: 			    mpeg3vtrack.c
 $(OBJDIR)/audio/ac3.o:  			    audio/ac3.c
 $(OBJDIR)/audio/bit_allocation.o: 		    audio/bit_allocation.c
@@ -232,11 +245,13 @@
 $(OBJDIR)/video/macroblocks.o:  		    video/macroblocks.c
 $(OBJDIR)/video/mmxtest.o: 			    video/mmxtest.c
 $(OBJDIR)/video/motion.o: 			    video/motion.c
+$(OBJDIR)/video/mpeg3cache.o: 			    video/mpeg3cache.c
 $(OBJDIR)/video/mpeg3video.o: 			    video/mpeg3video.c
 $(OBJDIR)/video/output.o: 			    video/output.c
 $(OBJDIR)/video/reconstruct.o:  		    video/reconstruct.c
 $(OBJDIR)/video/seek.o: 			    video/seek.c
 $(OBJDIR)/video/slice.o: 			    video/slice.c
+$(OBJDIR)/video/subtitle.o:                         video/subtitle.c
 $(OBJDIR)/video/vlc.o:  			    video/vlc.c
 $(OBJDIR)/workarounds.o:  			    workarounds.c
