=== debian/changelog ===
libmpeg3 (1.8.dfsg-6) unstable; urgency=medium

  * Add more missing prototypes (Closes: #1065781)
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Mar 2024 23:03:43 +0100

libmpeg3 (1.8.dfsg-5) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Acknowledge NMU.

  [ Petter Reinholdtsen ]
  * Restructured debian patches and added more metadata to them.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 29 Feb 2024 08:22:35 +0100

libmpeg3 (1.8.dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062423

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:14:10 +0000

libmpeg3 (1.8.dfsg-4) unstable; urgency=medium

  * Drop debian/*.dirs to not create empty directories (Closes: #1041756)
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Aug 2023 17:07:02 +0200

libmpeg3 (1.8.dfsg-3) unstable; urgency=medium

  * Adopt package into multimedia-team
    - Add myself as Uploader
  * Install libs/pkgconfig to multiarch locations (Closes: #913006)
  * Drop unused patches
  * Add d/libmpeg3-2.symbols file
  * Fix and improve buildsystem
    - Honour $(DESTDIR) when installing
    - Fix cross-compilation
  * d/rules
    - Switch to debhelper-13
    - Rule to create copyright hits + copyright_hints
    - Use DEB_CFLAGS_MAINT_APPEND to inject compiler warning flags
    - Force build-system to 'makefile'
  * d/changelog
    - Drop trailing whitespace
  * d/copyright
    - Convert d/copyright into a machine-readable format
    * Declare files-excluded from packaging in d/copyright
  * d/control
    - Fix short-description for mpeg3-utils
    - Drop duplicate Section-field
    - Use versioned dependency on debhelper-compat rather than d/compat
    - Declare libmpeg3* packages as MultiArch:foreign
    - Update Vcs-* and homepage stanzas
  * Add d/watch
  * Fix encoding of files in debian/
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Bump dh compat to 13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Aug 2021 11:27:20 +0200

libmpeg3 (1.8.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Promote Petter Reinholdtsen as Maintainer, remove David Martínez
    Moreno (Closes: #845290)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #876253)
    + Let dh_auto_build pass cross compilers to make.
    + Fix the debian-build-rules.patch.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 06 Nov 2017 22:24:08 +0100

libmpeg3 (1.8.dfsg-2) unstable; urgency=low

  * Add patch header-comment-fix.patch to fix a typo in the
    mpeg3protos.h header.
  * Move header files to /usr/include/mpeg3/ to group them together and
    become compatible with Fedora which already place them there.  Adjust
    pkg-config file to reflect the change.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 06 Jun 2014 07:54:22 +0200

libmpeg3 (1.8.dfsg-1) unstable; urgency=low

  * Update to debhelper 9 support.
  * Move source patches to debian/patches/ and package format to 3.0
    (quilt).
  * Update upstream source to version 1.8 (Closes: #430770).
    - Split relevant parts of the patch used in 1.5.4-5.1 info new
      patches alpha-largefile.patch and debian-build-rules.patch
    - Drop patches to fix bugs #287422 and #729275, as these problems
      are fixed differently upstream.
    - Change shared library major number from 1 to 2, as the new library have
      a new API and ABI.
    - No longer have typo in Makefile (Closes: #374504).
    - Repack upstream tarball without mpeg3css.c and the a52dec library.
      Instructions for how to do this is in debian/rules.
  * Add patch prototype-free.patch to make sure stdlib.h is included
    before free() is used.
  * Change encoding of debian/copyright to UTF-8.
  * Update standards-version from 3.6.2.2 to 3.9.5.
  * Add missing dependency on ${misc:Depends}.  Thank you lintian.
  * Adjust copyright file to document upstream copyright 2003-2008.
  * Change debian/rules to use dh_prep instead of the obsolete
    dh_clean -k.  Thank you, lintian.
  * Enable hardening flags during build and linking.
  * New patch fix-format-security-error.patch to make code buildable
    with hardening enabled.
  * Add homepage URL to control file (Closes: #749469).
  * Reorder shared library linking rule to work with the --as-needed
    linker flag (Closes: #633333).  Patch from Sebastian Carneiro and
    Ubuntu.
  * Use ${binary:Version} when depending on library from dev package,
    instead of the obsolete ${Source-Version}. Thank you, lintian.
  * New patch fix-video-alpha.patch lifted from the Cinelerra project
    fixing pixel conversion macros, making sure the default alpha level
    is max, not zero.
  * New patch handle-hdv-m2t.patch lifted from the Cinelerra project
    adding code to recognize *.m2t as MPEG files.
  * Add Vcs-* headers to control file pointing to the collab-maint git
    repository.
  * New patch fix-format-strings.patch to correct format string problems
    reported by the compiler because hardening was enabled.
  * Add new patch compiler-warnings.patch to enable more compiler
    warnings.
  * Add new patch missing-include.patch to include system header files
    where they were missing.
  * Add patch fix-fake-css.patch to fix inconsistent function signature.
  * Add patch missing-prototypes.patch to include prototypes before
    function calls.
  * Add pkgconfig file for libmpeg3 to ease detection and linking.
  * Add missing rules targets build-arch and build-indep.  Thanks
    lintian for the reminder.
  * Add myself as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 02 Jun 2014 08:54:11 +0200

libmpeg3 (1.5.4-5.1) unstable; urgency=medium


