=== debian/watch ===
version=4
opts=dversionmangle=s/[\+~.](debian|dfsg|ds|deb)(\.)?(\d+)?$//,repacksuffix=+dfsg0 \
https://sf.net/heroines/ libmpeg3-(.+)-src\.tar\.bz2 debian uupdate
